# Get account infos

Get account infos

## Endpoint

```
GET /account-info
```

## Query params

| Name           | Type       | Description                            |
| -------------- | ---------- | -------------------------------------- |
| `account_hash` | `[]string` | Comma-separated list of account hashes |

To overcome the URL length limitations of the GET request, it's possible to use the POST endpoint:

```
POST /account-info
```

## Sorting

| Property       | Description                            |
| -------------- | -------------------------------------- |
| `account_hash` | Comma-separated list of account hashes |

## Optional properties

None

## Response

[`PaginatedResponse`](/1.1.x/documentation/overview/pagination.md)[`<AccountInfo>`](/1.1.x/rest-api/account-info.md)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/account-info?account_hash=fa12d2dd5547714f8c2754d418aa8c9d59dc88780350cb4254d622e2d4ef7e69,21eaea584903e79365bcb1f7607179cc118807033c8919cff7489a91c3a822d1,d3ccfd0daf03e656cb4e86158e5f54be686d9faa91cae3ed9310e167e65592e5' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "account_hash": "21eaea584903e79365bcb1f7607179cc118807033c8919cff7489a91c3a822d1",
      "url": "http://makestake.io",
      "is_active": true,
      "info": {
        "nodes": [
          {
            "location": {
              "name": "Ashburn, VA",
              "country": "US",
              "latitude": 39.04372,
              "longitude": -77.48749
            },
            "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
            "description": "MAKE's first Casper Testnet validator",
            "functionality": [
              "validator"
            ]
          },
          {
            "location": {
              "name": "Ashburn, VA",
              "country": "US",
              "latitude": 39.04372,
              "longitude": -77.48749
            },
            "public_key": "017d96b9a63abcb61c870a4f55187a0a7ac24096bdb5fc585c12a686a4d892009e",
            "description": "MAKE's second Casper Testnet validator",
            "functionality": [
              "validator"
            ]
          }
        ],
        "owner": {
          "name": "MAKE",
          "type": [
            "validator",
            "corporation"
          ],
          "email": "hello@makestake.io",
          "social": {
            "github": "make-software",
            "medium": "",
            "reddit": "",
            "wechat": "",
            "keybase": "",
            "twitter": "@WeAreTeamMAKE",
            "youtube": "",
            "facebook": "",
            "telegram": ""
          },
          "website": "https://makestake.io",
          "branding": {
            "logo": {
              "svg": "https://make.services/logo.svg",
              "png_256": "https://make.services/logo256.png",
              "png_1024": "https://make.services/logo1024.png"
            }
          },
          "identity": {
            "other": null,
            "ownership_disclosure_url": "https://makestake.io/ownership-disclosure",
            "casper_association_kyc_url": "",
            "casper_association_kyc_onchain": ""
          },
          "location": {
            "name": "Cheyenne, WY",
            "country": "US",
            "latitude": 41.14,
            "longitude": -104.820274
          },
          "resources": {
            "other": [],
            "privacy_policy_url": "https://makestake.io/privacy",
            "code_of_conduct_url": "",
            "terms_of_service_url": "https://makestake.io/tos"
          },
          "description": "MAKE is the leading technology provider for the Casper Network and creator of the CSPR Product Suite",
          "affiliated_accounts": [
            {
              "public_key": "017d96b9a63abcb61c870a4f55187a0a7ac24096bdb5fc585c12a686a4d892009e"
            },
            {
              "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca"
            },
            {
              "public_key": "0202859e04bab609744b291b54ef97b55cb3120c940cd620977f8d2687ca5bd0168c"
            },
            {
              "public_key": "01fc3b35c25fdce6fc6127fc5da32a828d51eaacab816e80611f23f4cf063bc319"
            }
          ]
        }
      },
      "deploy_hash": "722e4c7e25c1a3c50b6c4cdeea7b3f205f14977f5c915761ab34fc702561dd3b",
      "verified_account_hashes": [
        "21EAEA584903E79365BCB1F7607179CC118807033C8919CFF7489A91C3A822D1",
        "D3CCFD0DAF03E656CB4E86158E5F54BE686D9FAA91CAE3ED9310E167E65592E5",
        "FA12D2DD5547714F8C2754D418AA8C9D59DC88780350CB4254D622E2D4EF7E69"
      ],
      "created": "2021-09-17T20:24:35Z",
      "updated": "2023-09-12T00:00:01Z"
    },
    ...
  ],
  "item_count": 3,
  "page_count": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.1.x/rest-api/account-info/get-account-infos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
